# Uses of Interface
jam.panels.StatusListener

Packages that use StatusListener
Package
Description
jam.panels

## Uses of StatusListener in jam.panels

Classes in jam.panels that implement StatusListener
Modifier and Type
Class
Description
`class`
`StatusBar`
`class`
`StatusPanel`
Methods in jam.panels with parameters of type StatusListener
Modifier and Type
Method
Description
`void`
StatusProvider.`addStatusListener(StatusListener statusListener)`
Status providers must be able to store a list of StatusListeners.
`void`
StatusProvider.Helper.`addStatusListener(StatusListener statusListener)`
`void`
StatusProvider.Helper.`removeStatusListener(StatusListener statusListener)`
`void`
StatusProvider.`removeStatusListener(StatusListener statusListener)`
Remove the given StatusListener from the provider's list.